var zLog = function () {
    var str = '';
    for (var i = 0; i < arguments.length; ++i) {
        str += arguments[i];
    }
    cc.log(str);
};

var zLogPos = function (pos, n) {
    var t = n == undefined ? 2 : n;
    cc.log("(" + pos.x.toFixed(t) + "," + pos.y.toFixed(t) + ")");
};

function zAddTouchLogPosEvent(obj, show) {
    if (obj.getContentSize().width < 10 || obj.getContentSize().height < 10) {
        obj.setContentSize(100, 100);
    }
    var listener = zNewEventListenerCreate(null, function (touch, target) {
        var delta = touch.getDelta();
        target.x += delta.x;
        target.y += delta.y;
    }, function (touch, target) {
        zLogPos(target.getPosition(), 2);
    }, null);
    cc.eventManager.addListener(listener, obj);
    if (show) {
        zShowContentSize(obj);
    }
}

function zAddTouchLogInnerPosEvent(obj) {
    if (obj.getContentSize().width < 10 || obj.getContentSize().height < 10) {
        obj.setContentSize(100, 100);
    }
    var listener = zNewEventListenerCreate(null, function (touch, target) {
        var delta = touch.getDelta();

        target.x += delta.x;
        target.y += delta.y;
    }, function (touch, target) {
        zLogPos(target.convertToNodeSpace(touch.getLocation()), 2);
    }, null);
    cc.eventManager.addListener(listener, obj);
}

function zShowContentSize(node, size, color) {
    var bgColor = new cc.LayerColor(color ? color : cc.color(255, 0, 0, 125));
    bgColor.setContentSize(size ? size : node.getContentSize());
    node.addChild(bgColor, 65535);
}

